#!/bin/bash
-set -o errexit
set -o nounset
if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
#Uploading logs to artifacts
echo "Uploading artifacts for future debugging needs...."
gsutil cp -r $WORKSPACE/build_output/log-*.tar.gz $GS_LOG_LOCATION > $WORKSPACE/gsutil.log 2>&1
+ # verifying the logs uploaded by cyclictest daily test job
+ gsutil ls $GS_LOG_LOCATION > /dev/null 2>&1
+ if [[ $? -ne 0 ]]; then
+ echo "Problem while uploading logs to artifacts!"
+ echo "Check log $WORKSPACE/gsutil.log on $NODE_NAME"
+ exit 1
+ fi
else
echo "No test logs/artifacts available for uploading"
fi
gs://$GS_URL/latest.properties > /dev/null 2>&1
fi
-gsutil ls $GS_UPLOAD_LOCATION > /dev/null 2>&1
-if [[ $? -ne 0 ]]; then
- echo "Problem while uploading artifacts!"
- echo "Check log $WORKSPACE/gsutil.log on $NODE_NAME"
- exit 1
+# verifying the artifacts uploading by verify/daily build job
+if [[ "$PHASE" == "build" ]]; then
+ gsutil ls $GS_UPLOAD_LOCATION > /dev/null 2>&1
+ if [[ $? -ne 0 ]]; then
+ echo "Problem while uploading artifacts!"
+ echo "Check log $WORKSPACE/gsutil.log on $NODE_NAME"
+ exit 1
+ fi
fi
echo "Uploaded artifacts!"